Package Asm

## Class Instruction

- java.lang.Object
- - Asm.Instruction

- Direct Known Subclasses:
    `CondJump`, `IO`, `JumpCall`, `Mem`, `Ret`, `Stop`, `UAL`, `UALi`

      public abstract class Instruction
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `label` |
    `protected java.lang.String` | `name` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Instruction​(java.lang.String label, java.lang.String name)` | Constructeur

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getLabel()` | Getter du label de l'instruction
    `java.lang.String` | `getName()` | Getter de l'opération
    `void` | `setLabel​(java.lang.String label)` | Setter du label de l'instruction
    `void` | `setName​(java.lang.String name)` | Setter de l'opération

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### label

          protected java.lang.String label

    - #### name

          protected java.lang.String name

  - ### Constructor Detail

    - #### Instruction

          public Instruction​(java.lang.String label,
                             java.lang.String name)

      Constructeur
      Parameters:
        `label` - label de l'instruction
        `name` - type d'opération

  - ### Method Detail

    - #### getLabel

          public java.lang.String getLabel()

      Getter du label de l'instruction
      Returns:
        String label de l'instruction

    - #### setLabel

          public void setLabel​(java.lang.String label)

      Setter du label de l'instruction
      Parameters:
        `label` - label de l'instruction

    - #### getName

          public java.lang.String getName()

      Getter de l'opération
      Returns:
        String type d'opération

    - #### setName

          public void setName​(java.lang.String name)

      Setter de l'opération
      Parameters:
        `name` - type d'opération